import type { IMenuItem } from '@/types'
import { Box, User, Star, Files } from '@element-plus/icons-vue'
export const menus: IMenuItem[] = [
  {
    name: '信息管理',
    path: '/base',
    children: [
      {
        icon: Box,
        name: '渠道管理',
        path: '/base/channel',
        tag: 'channel'
      },
      {
        icon: Files,
        name: '项目管理',
        path: '/base/project',
        tag: 'project'
      }
    ]
  },
  {
    name: '权限管理',
    path: '/system',
    tag: 'management',
    children: [
      {
        icon: User,
        name: '用户管理',
        path: '/system/users',
        tag: 'management-member'
      },
      {
        icon: Star,
        name: '角色管理',
        path: '/system/roles',
        tag: 'management-role'
      }
    ]
  }
]
