export interface Info {
  user_name: string
  mobile: string
  email: string
  name: string
  levels: string | string[]
  projects: string | string[]
  channels: string | string[]
}

// 角色信息
export interface RoleInfo {
  id: string
  name: string
  desc: string
  user_count: number
  created_at: string
  updated_at: string
  levels: string[]
  list: RoleMember[]
  total: number
}

// 角色成员
export interface RoleMember {
  user_id: string
  user_name: string
  mobile: string
  email: string
  join_time: string
  projects: string[]
  channels: string[]
}
